# 20. Final Project Requirements

![hate it fix it](../images/week20-final-project-requirements/hate-it-fix-it-edu.jpeg)



I am finding that the last four assignments ask for many of the same things over and over.  So here they are again....  


## _**Presentation of Project**_
I successfully presented my final project to Neil on Monday, June 13.

![pic of me presenting my project](../images/week20-final-project-requirements/lonnie-presentation-neil-june13.jpeg)

## _**Final Project Web Page**_
My final project web page is [here](../projects/final-project.md)

## _**Slide and Video**_ 

My slide:

![here](../presentation2.png)

My video is [here](../presentation.mp4)

## _**Bill of Materials (BOM)**_

Total cost was about $250.   The most expensive item is a 270 watt solar electric panel at $120 delivered.  Details below:
 
Found lots of stuff in dumpsters and from the shopping cart metal recyclers all over town

- Electronics
    - Solar Panel  - Purchased used on Wallapop for $125 delivered
    - SAMD based microcontroller boards - making them but not the chips ha ha.  Each board has about $10 in parts plus 40 hours of labor
    - OLED display  - was in stock, $10 if purchase
    - Temp sensors  - was in stock, $2 if purchased
    - GPS (for time)  - $6 from Amazon
    - amp sensors  - $10 for 3, from Amazon
    - voltage sensor - voltage divider 2 resistors $0.50
    - Boost DC to DC power supply for peak power point tracking - $25 from Amazon
- Oven Enclosure
    - Insulation good to 150 deg c  -this has been the most challenging and messy part of the project.  The fiberglass insulation I have been pulling from dumpsters is of poor quality and falls apart easily releasing lots of irritating fibers.   The foam insulation is styrofoam, only good to about 70 deg C
    - Plywood  - was in stock at the fablab, $60 per sheet, one sheet
    - Door - fabricated from scrap plywood

- Cables and connectors
    - Cig Lighter Plugs  - generally a poor choice but good enough here - $5.00 on Amazon
    - MC3/4 connectors - $15 for 6 pairs

- Toaster Oven   - bought for 1 eu from a metal recycler
  ![metal recycler image](../images/week17-apps-and-imps/shopping-cart-recycling.jpg)

According to the Guardian article below there 50-100,000 shopping cart metal recyclers in Catalonia and they recycle 100,000 tonnes of metal a year worth 10 billion euros.

[Guardian Catalonia metal recycling article](https://www.theguardian.com/global-development/2021/mar/23/chariots-steel-barcelonas-hidden-migrant-army-scrap-recyclers)



## _**Final Project Related Assignments**_ 


Links to assignments where I worked on the final project:


[Week 1 Principles and Practices](../assignments/week01.md) - selection of final project, first draft of block diagram for my final project, list of things needing research, etc.

[Week 8 Computer Controlled Machining](../assignments/week08.md) - the box for the oven

[Week 11 Output Devices](../assignments/week11.md) - learned and implmented i2c for running LCD displays for my final project, designed a relay board for controlling the heating elements in the oven

[Week 13 Input Devices](../assignments/week13-input.md) - Got voltage and temperature sensing working on my Sunduino board.

[Week 14 Networking and Communications](../assignments/week14-networking.md)- made a new relay board for my final project and communicated with the main board via I2c

[Week 17 Applications and Implications](../assignments/week17-apps-and-imps.md) - came up with the Dr Who Tardis idea and turned the box for the oven into a Tardis-like object.   

## **_Design files_**

Software I used:

 - KICAD for electronics design and layout
 - MODS for PCB manufacturing
 - for cnc machining 
 - Rhino for 3d design for 3d printing 
 - Cura for creating 3d printer files 
 - Rhino and Inkscape for 2d design for laser cutting 



_**Electronics**_

![electronics pic](../images/final-project/final board esp32 top view.jpg)

[esp32 modified barduino design file]()

[esp32 pcb board milling file]()

[sunduino design file]()

[Sunduino pcb board milling file]()

[power distribution board design file]()

[voltage divider board design file]()


_**Cover/Cabinet/Tardis**_

![Tardis pic](../images/final-project/complete-tardis-oven-on-bench.jpg)

[Cover SVG file cnc](../files/final-project-for-web site/Cover:Tardis/solar toaster cover.svg)

[Cover NC file cnc](../files/final-project-for-web site/Cover:Tardis/Cover for solar oven - one file.nc)

[Cover Bottom SVG cnc](../files/final-project-for-web site/Cover:Tardis/solar-cover-bottom.svg)

[door laser file]()

[Top cabinet laser file]()


_**Clip to hold amp sensor**_

![clip pic]()

[clip file (3d print)]../files/final-project-for-web site/Clip for Amp Meter (3D Print)/clip for amp meter ver 2.stl)








## _**License**_
I used a creative commons Attribution Share Alike license.  

<a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/"><img alt="Creative Commons License" style="border-width:0" src="https://i.creativecommons.org/l/by-sa/4.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/4.0/">Creative Commons Attribution-ShareAlike 4.0 International License</a>.


## _**Acknowledgement of Work by Others**_

I acknowledge work done by others throughout my documentation.   Special mentions:

_**Josep Marti**_ - lots and lots of help solving vexing problems with machines and software.  I often struggled too long with problems on my own before going to him to help solve them.  Also 

_**Eduardo Chamorro**_ - Same as Josep plus extra help on Rhino and Grasshopper.  Prof Chamorro is knowledgeable in all areas of Fabacademy making, with special expertise in 3d printing.  

_**Marco Antonio Sardo**_ - Recommended I use a boost switching mode power converter instead of the inverter I was planning on using to match the solar panel voltage to the voltage required by the heating elements in the toaster oven.  He gave me a tutorial on switching mode power converters that enabled me to design and test switching mode power supplies with a simulator on-line.  Had many conversations with Marco on details of electronics design.    

_**Edu Almasque**_ -  saved the day many times on GIT related issues such as how to recover from pushing a too large file.   

_**Dahnu Prakash**_ - critical help solvign problems with CAD software, esp Rhino, Grasshopper, and Fusion 360 

