#include <LiquidCrystal_I2C.h>

LiquidCrystal_I2C lcd(0x27,20,4);  // set the LCD address to 0x3F for a 16 chars and 2 line display

void setup() {
  lcd.init();
  lcd.clear();         
  lcd.backlight();      // Make sure backlight is on
  
  // Print oven temp and watts on line 1 
  lcd.setCursor(2,0);   //Set cursor to character 2 on line 0
  lcd.print("OVEN T ");
  
   lcd.setCursor(10,0);   //Move cursor to character 2 on line 1
   lcd.print("OVEN W");

  //Print PV volts, PV Amps on line 2 
  lcd.setCursor(2,1);   //Move cursor to character 2 on line 1
  lcd.print("PV V");

   lcd.setCursor(10,1);   //Move cursor to character 2 on line 1
  lcd.print("PV A");

  //Print Oven Volts, Amps on line 3 
   lcd.setCursor(2,2);   //Move cursor to character 2 on line 1
   lcd.print("OVEN V");

    lcd.setCursor(10,2);   //Move cursor to character 2 on line 1
    lcd.print("OVEN A");

   //Print a slogan on line 4 
    lcd.setCursor(2,3);   //Move cursor to character 2 on line 1
    lcd.print("A Sunny Future");
 
  
}

void loop() {
}
